Package com.documentum.fc.client.acs

# Interface IDfBocsConfig

All Superinterfaces:
  `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfBocsConfig extends IDfSysObject
This interface represents BOCS configuration object.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `IDfBocsConfig.ExternalUrlEntry`
  ExternalUrlEntry interface encapsulates external url.
  `static interface`
  `IDfBocsConfig.UrlEntry`
  UrlEntry interface encapsulates base url and protocol.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELIVERY_TYPE_PULL`
  `static final String`
  `DELIVERY_TYPE_PUSH`
  `static final String`
  `EXTERNAL_URL_TYPE_WS_PUSH`

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addExternalUrlEntry(IDfBocsConfig.ExternalUrlEntry urlEntry)`
  Adds ExternalUrlEntry object.
  `void`
  `addUrlEntry(IDfBocsConfig.UrlEntry urlEntry)`
  Adds UrlEntry object.
  `String`
  `getDeliveryType()`
  Returns the delivery type
  `IDfList`
  `getDocbaseNames()`
  Returns list of the repository names.
  `IDfList`
  `getExternalUrlEntries()`
  Returns list of ExternalUrlEntry objects.
  `IDfList`
  `getNetworkLocationIdentifiers()`
  Returns list of the BOCS network location identifiers.
  `String`
  `getObjectName()`
  Returns the BOCS name.
  `String`
  `getServerMajorVersion()`
  Returns server major version
  `String`
  `getServerMinorVersion()`
  Returns the server minor version
  `IDfList`
  `getUrlEntries()`
  Returns list of UrlEntry objects.
  `boolean`
  `isAsynchWriteEnabled()`
  Returns a flag indicating whether asynchronous write is enabled
  `boolean`
  `isEnabled()`
  Returns a flag indicating whether BOCS is enabled
  `boolean`
  `isInclusionList()`
  Returns a flag indicating whether the list of repositories is an inclusion list.
  `IDfBocsConfig.ExternalUrlEntry`
  `newExternalUrlEntry(String url, String type)`
  Creates ExternalUrlEntry object.
  `IDfBocsConfig.UrlEntry`
  `newUrlEntry(String url, String protocol)`
  Creates UrlEntry object.
  `void`
  `setAsynchWriteEnabled(boolean isEnabled)`
  Sets a flag indicating whether asynchronous write is enabled.
  `void`
  `setDeliveryType(String deliveryType)`
  Sets the delivery type
  `void`
  `setDocbaseNames(IDfList docbaseNames)`
  Sets the repository names.
  `void`
  `setEnabled(boolean isEnabled)`
  Sets a flag indicating whether BOCS is enabled
  `void`
  `setExternalUrlEntries(IDfList urlEntries)`
  Replace all ExternalUrlEntry objects.
  `void`
  `setInclusionList(boolean isInclusionList)`
  Sets a flag indicating whether the list of repositories is an inclusion list.
  `void`
  `setNetworkLocationIdentifiers(IDfList networkLocationIdentifiers)`
  Sets the BOCS network location identifiers.
  `void`
  `setObjectName(String objectName)`
  Sets the BOCS name.
  `void`
  `setServerMajorVersion(String majorVersion)`
  Sets server major version
  `void`
  `setServerMinorVersion(String minorVersion)`
  Sets the server minor version
  `void`
  `setUrlEntries(IDfList urlEntries)`
  Replace all UrlEntry objects.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### DELIVERY_TYPE_PULL

    static final String DELIVERY_TYPE_PULL
    See Also:
      - Constant Field Values

  - ### DELIVERY_TYPE_PUSH

    static final String DELIVERY_TYPE_PUSH
    See Also:
      - Constant Field Values

  - ### EXTERNAL_URL_TYPE_WS_PUSH

    static final String EXTERNAL_URL_TYPE_WS_PUSH
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getObjectName

    String getObjectName() throws DfException
    Returns the BOCS name. BOCS name uniquely identifies BOCS.
    Specified by:
      `getObjectName` in interface `IDfSysObject`
    Returns:
      name of the BOCS.
    Throws:
      `DfException`

  - ### setObjectName

    void setObjectName(String objectName) throws DfException
    Sets the BOCS name. BOCS name uniquely identifies BOCS.
    Specified by:
      `setObjectName` in interface `IDfSysObject`
    Parameters:
      `objectName` - specifies the name of the BOCS.
    Throws:
      `DfException` - if a server error occurs.

  - ### isEnabled

    boolean isEnabled() throws DfException
    Returns a flag indicating whether BOCS is enabled
    Returns:
      true, if BOCS is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### isAsynchWriteEnabled

    boolean isAsynchWriteEnabled() throws DfException
    Returns a flag indicating whether asynchronous write is enabled
    Returns:
      true, if asynchronous write is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### setEnabled

    void setEnabled(boolean isEnabled) throws DfException
    Sets a flag indicating whether BOCS is enabled
    Parameters:
      `isEnabled` - if true, BOCS is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### setAsynchWriteEnabled

    void setAsynchWriteEnabled(boolean isEnabled) throws DfException
    Sets a flag indicating whether asynchronous write is enabled. This also sets BOCS enabled or disabled depending on a value of isEnabled parameter.
    Parameters:
      `isEnabled` - if true, asynchronous write is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### getNetworkLocationIdentifiers

    IDfList getNetworkLocationIdentifiers() throws DfException
    Returns list of the BOCS network location identifiers.
    Returns:
      list of the BOCS network location identifiers.
    Throws:
      `DfException` - if a server error occurs

  - ### setNetworkLocationIdentifiers

    void setNetworkLocationIdentifiers(IDfList networkLocationIdentifiers) throws DfException
    Sets the BOCS network location identifiers.
    Parameters:
      `networkLocationIdentifiers` - list of the BOCS network location identifiers.
    Throws:
      `DfException` - if a server error occurs.

  - ### newUrlEntry

    IDfBocsConfig.UrlEntry newUrlEntry(String url, String protocol) throws DfException
    Creates UrlEntry object.
    Parameters:
      `url` - url.
      `protocol` - protocol.
    Returns:
      UrlEntry object with the given url and port.
    Throws:
      `DfException` - if a server error occurs.

  - ### getUrlEntries

    IDfList getUrlEntries() throws DfException
    Returns list of UrlEntry objects.
    Returns:
      list of UrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### addUrlEntry

    void addUrlEntry(IDfBocsConfig.UrlEntry urlEntry) throws DfException
    Adds UrlEntry object.
    Parameters:
      `urlEntry` - UrlEntry object to be added.
    Throws:
      `DfException` - if a server error occurs.

  - ### setUrlEntries

    void setUrlEntries(IDfList urlEntries) throws DfException
    Replace all UrlEntry objects.
    Parameters:
      `urlEntries` - list of UrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### isInclusionList

    boolean isInclusionList() throws DfException
    Returns a flag indicating whether the list of repositories is an inclusion list.
    Returns:
      true, if list of repositories is an inclusion list, false otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setInclusionList

    void setInclusionList(boolean isInclusionList) throws DfException
    Sets a flag indicating whether the list of repositories is an inclusion list.
    Parameters:
      `isInclusionList` - true, if list of repositories is an inclusion list, false otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseNames

    IDfList getDocbaseNames() throws DfException
    Returns list of the repository names.
    Returns:
      list of the repository names.
    Throws:
      `DfException` - if a server error occurs

  - ### setDocbaseNames

    void setDocbaseNames(IDfList docbaseNames) throws DfException
    Sets the repository names.
    Parameters:
      `docbaseNames` - list of the repository names.
    Throws:
      `DfException` - if a server error occurs.

  - ### getDeliveryType

    String getDeliveryType() throws DfException
    Returns the delivery type
    Returns:
      returns the delivery type
    Throws:
      `DfException` - if a server error occurs

  - ### setDeliveryType

    void setDeliveryType(String deliveryType) throws DfException
    Sets the delivery type
    Parameters:
      `deliveryType` - delivery type
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMajorVersion

    String getServerMajorVersion() throws DfException
    Returns server major version
    Returns:
      returns the server major version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMajorVersion

    void setServerMajorVersion(String majorVersion) throws DfException
    Sets server major version
    Parameters:
      `majorVersion` - server major version
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMinorVersion

    String getServerMinorVersion() throws DfException
    Returns the server minor version
    Returns:
      returns the server minor version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMinorVersion

    void setServerMinorVersion(String minorVersion) throws DfException
    Sets the server minor version
    Parameters:
      `minorVersion` - server minor version
    Throws:
      `DfException` - if a server error occurs

  - ### newExternalUrlEntry

    IDfBocsConfig.ExternalUrlEntry newExternalUrlEntry(String url, String type) throws DfException
    Creates ExternalUrlEntry object.
    Parameters:
      `url` - url.
      `type` - type.
    Returns:
      ExternalUrlEntry object with the given url and type.
    Throws:
      `DfException` - if a server error occurs.

  - ### getExternalUrlEntries

    IDfList getExternalUrlEntries() throws DfException
    Returns list of ExternalUrlEntry objects.
    Returns:
      list of ExternalUrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### addExternalUrlEntry

    void addExternalUrlEntry(IDfBocsConfig.ExternalUrlEntry urlEntry) throws DfException
    Adds ExternalUrlEntry object.
    Parameters:
      `urlEntry` - ExternalUrlEntry object to be added.
    Throws:
      `DfException` - if a server error occurs.

  - ### setExternalUrlEntries

    void setExternalUrlEntries(IDfList urlEntries) throws DfException
    Replace all ExternalUrlEntry objects.
    Parameters:
      `urlEntries` - list of ExternalUrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.